<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (1.8.0_151) on Thu Jan 18 13:47:16 GMT+01:00 2018 -->
<title>Variante13</title>
<meta name="date" content="2018-01-18">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Variante13";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Variante13.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../noyau/Variante12.html" title="class in noyau"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../noyau/Variante14.html" title="class in noyau"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?noyau/Variante13.html" target="_top">Frames</a></li>
<li><a href="Variante13.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.noyau.Variante1">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">noyau</div>
<h2 title="Class Variante13" class="title">Class Variante13</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li><a href="../noyau/Regle.html" title="class in noyau">noyau.Regle</a></li>
<li>
<ul class="inheritance">
<li><a href="../noyau/Variante1.html" title="class in noyau">noyau.Variante1</a></li>
<li>
<ul class="inheritance">
<li>noyau.Variante13</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">Variante13</span>
extends <a href="../noyau/Variante1.html" title="class in noyau">Variante1</a></pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../noyau/Variante1.html" title="class in noyau"><code>Variante1</code></a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.noyau.Variante1">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;noyau.<a href="../noyau/Variante1.html" title="class in noyau">Variante1</a></h3>
<code><a href="../noyau/Variante1.html#numeroDeRegle">numeroDeRegle</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.noyau.Regle">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;noyau.<a href="../noyau/Regle.html" title="class in noyau">Regle</a></h3>
<code><a href="../noyau/Regle.html#nombreCarte">nombreCarte</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../noyau/Variante13.html#Variante13-console.Affichable-">Variante13</a></span>(<a href="../console/Affichable.html" title="interface in console">Affichable</a>&nbsp;a)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../noyau/Variante13.html#applicationRegle-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">applicationRegle</a></span>(<a href="../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
                <a href="../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;suivant,
                <a href="../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
                <a href="../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
                <a href="../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>
<div class="block">Permet d'appeler la methode correspondant à la carte à jouer (en fonction de sa valeur)</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../noyau/Variante13.html#as-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">as</a></span>(<a href="../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
  <a href="../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;suivant,
  <a href="../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
  <a href="../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
  <a href="../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>
<div class="block">Redéfinition de la méthode as de la classe Regle</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../noyau/Variante13.html#as2-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">as2</a></span>(<a href="../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
   <a href="../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;suivant,
   <a href="../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
   <a href="../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
   <a href="../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../noyau/Variante13.html#dame-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">dame</a></span>(<a href="../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
    <a href="../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
    <a href="../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
    <a href="../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../noyau/Variante13.html#huit-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">huit</a></span>(<a href="../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
    <a href="../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;suivant,
    <a href="../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
    <a href="../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
    <a href="../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../noyau/Variante13.html#joker-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">joker</a></span>(<a href="../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
     <a href="../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;suivant,
     <a href="../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
     <a href="../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
     <a href="../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../noyau/Variante13.html#roi-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">roi</a></span>(<a href="../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
   <a href="../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
   <a href="../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
   <a href="../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../noyau/Variante13.html#valet-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">valet</a></span>(<a href="../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
     <a href="../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;suivant,
     <a href="../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
     <a href="../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
     <a href="../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.noyau.Variante1">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;noyau.<a href="../noyau/Variante1.html" title="class in noyau">Variante1</a></h3>
<code><a href="../noyau/Variante1.html#cinq-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-noyau.Joueur-">cinq</a>, <a href="../noyau/Variante1.html#deux-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">deux</a>, <a href="../noyau/Variante1.html#dix-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">dix</a>, <a href="../noyau/Variante1.html#neuf-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">neuf</a>, <a href="../noyau/Variante1.html#quatre-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-noyau.Joueur-">quatre</a>, <a href="../noyau/Variante1.html#sept-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">sept</a>, <a href="../noyau/Variante1.html#six-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">six</a>, <a href="../noyau/Variante1.html#trois-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">trois</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Variante13-console.Affichable-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Variante13</h4>
<pre>public&nbsp;Variante13(<a href="../console/Affichable.html" title="interface in console">Affichable</a>&nbsp;a)</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="applicationRegle-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>applicationRegle</h4>
<pre>public&nbsp;int&nbsp;applicationRegle(<a href="../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
                            <a href="../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;suivant,
                            <a href="../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
                            <a href="../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
                            <a href="../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)
                     throws <a href="../noyau/PoserCarteException.html" title="class in noyau">PoserCarteException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a href="../noyau/Regle.html#applicationRegle-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">Regle</a></code></span></div>
<div class="block">Permet d'appeler la methode correspondant à la carte à jouer (en fonction de sa valeur)</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../noyau/Regle.html#applicationRegle-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">applicationRegle</a></code>&nbsp;in class&nbsp;<code><a href="../noyau/Regle.html" title="class in noyau">Regle</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../noyau/PoserCarteException.html" title="class in noyau">PoserCarteException</a></code></dd>
</dl>
</li>
</ul>
<a name="dame-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>dame</h4>
<pre>public&nbsp;int&nbsp;dame(<a href="../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
                <a href="../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
                <a href="../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
                <a href="../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)
         throws <a href="../noyau/PoserCarteException.html" title="class in noyau">PoserCarteException</a></pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../noyau/Variante1.html#dame-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">dame</a></code>&nbsp;in class&nbsp;<code><a href="../noyau/Variante1.html" title="class in noyau">Variante1</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../noyau/PoserCarteException.html" title="class in noyau">PoserCarteException</a></code></dd>
</dl>
</li>
</ul>
<a name="roi-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>roi</h4>
<pre>public&nbsp;int&nbsp;roi(<a href="../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
               <a href="../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
               <a href="../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
               <a href="../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)
        throws <a href="../noyau/PoserCarteException.html" title="class in noyau">PoserCarteException</a></pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../noyau/Variante1.html#roi-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">roi</a></code>&nbsp;in class&nbsp;<code><a href="../noyau/Variante1.html" title="class in noyau">Variante1</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../noyau/PoserCarteException.html" title="class in noyau">PoserCarteException</a></code></dd>
</dl>
</li>
</ul>
<a name="valet-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>valet</h4>
<pre>public&nbsp;int&nbsp;valet(<a href="../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
                 <a href="../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;suivant,
                 <a href="../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
                 <a href="../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
                 <a href="../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)
          throws <a href="../noyau/PoserCarteException.html" title="class in noyau">PoserCarteException</a></pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../noyau/Variante1.html#valet-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">valet</a></code>&nbsp;in class&nbsp;<code><a href="../noyau/Variante1.html" title="class in noyau">Variante1</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../noyau/PoserCarteException.html" title="class in noyau">PoserCarteException</a></code></dd>
</dl>
</li>
</ul>
<a name="as-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>as</h4>
<pre>public&nbsp;int&nbsp;as(<a href="../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
              <a href="../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;suivant,
              <a href="../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
              <a href="../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
              <a href="../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)
       throws <a href="../noyau/PoserCarteException.html" title="class in noyau">PoserCarteException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a href="../noyau/Variante1.html#as-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">Variante1</a></code></span></div>
<div class="block">Redéfinition de la méthode as de la classe Regle</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../noyau/Variante1.html#as-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">as</a></code>&nbsp;in class&nbsp;<code><a href="../noyau/Variante1.html" title="class in noyau">Variante1</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>la methode renvoie 1, la variable tour sera incrémentée de 1</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../noyau/PoserCarteException.html" title="class in noyau">PoserCarteException</a></code></dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../noyau/Regle.html#as-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-"><code>Permet d'appliquer les effet des as en fonction de la variante1
 Lance PoserCarteExeption si la carte n'est pas jouable</code></a>, 
<a href="../noyau/Controleur.html" title="class in noyau"><code>Controleur</code></a></dd>
</dl>
</li>
</ul>
<a name="as2-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>as2</h4>
<pre>public&nbsp;int&nbsp;as2(<a href="../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
               <a href="../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;suivant,
               <a href="../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
               <a href="../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
               <a href="../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)
        throws <a href="../noyau/PoserCarteException.html" title="class in noyau">PoserCarteException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../noyau/PoserCarteException.html" title="class in noyau">PoserCarteException</a></code></dd>
</dl>
</li>
</ul>
<a name="joker-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>joker</h4>
<pre>public&nbsp;int&nbsp;joker(<a href="../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
                 <a href="../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;suivant,
                 <a href="../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
                 <a href="../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
                 <a href="../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)
          throws <a href="../noyau/PoserCarteException.html" title="class in noyau">PoserCarteException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../noyau/PoserCarteException.html" title="class in noyau">PoserCarteException</a></code></dd>
</dl>
</li>
</ul>
<a name="huit-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>huit</h4>
<pre>public&nbsp;int&nbsp;huit(<a href="../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
                <a href="../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;suivant,
                <a href="../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
                <a href="../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
                <a href="../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)
         throws <a href="../noyau/PoserCarteException.html" title="class in noyau">PoserCarteException</a></pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../noyau/Variante1.html#huit-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">huit</a></code>&nbsp;in class&nbsp;<code><a href="../noyau/Variante1.html" title="class in noyau">Variante1</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../noyau/PoserCarteException.html" title="class in noyau">PoserCarteException</a></code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Variante13.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../noyau/Variante12.html" title="class in noyau"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../noyau/Variante14.html" title="class in noyau"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?noyau/Variante13.html" target="_top">Frames</a></li>
<li><a href="Variante13.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.noyau.Variante1">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
